org.apache.sling.installer.factories.subsystems.impl

## Class SubsystemInstaller

- java.lang.Object
- - org.apache.sling.installer.factories.subsystems.impl.SubsystemInstaller

All Implemented Interfaces:
  org.apache.sling.installer.api.tasks.InstallTaskFactory, org.apache.sling.installer.api.tasks.ResourceTransformer

    public class SubsystemInstaller
    extends Object
    implements org.apache.sling.installer.api.tasks.ResourceTransformer, org.apache.sling.installer.api.tasks.InstallTaskFactory

This is an extension for the OSGi installer It listens for files ending with ".esa" and a proper subsystem manifest. Though subsystems does not require a complete manifest, the installer supports only subsystems with the basic info (name and version). As subsystems currently do not support an update, an uninstall/install is done instead - which will lose bundle private data, bound configurations etc.

### Nested Class Summary

Nested Classes
`static class` `SubsystemInstaller.SubsystemInfo`

### Constructor Summary

Constructors
Constructor and Description
`SubsystemInstaller(org.osgi.service.subsystem.Subsystem root, org.osgi.framework.BundleContext bundleContext)`

### Method Summary

Methods
`org.apache.sling.installer.api.tasks.InstallTask` `createTask(org.apache.sling.installer.api.tasks.TaskResourceGroup toActivate)`
`static boolean` `isSnapshot(org.osgi.framework.Version v)` Check if the version is a snapshot version
`org.apache.sling.installer.api.tasks.TransformationResult[]` `transform(org.apache.sling.installer.api.tasks.RegisteredResource resource)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubsystemInstaller

    public SubsystemInstaller(org.osgi.service.subsystem.Subsystem root,
                      org.osgi.framework.BundleContext bundleContext)

### Method Detail

#### transform

    public org.apache.sling.installer.api.tasks.TransformationResult[] transform(org.apache.sling.installer.api.tasks.RegisteredResource resource)

Specified by:
  `transform` in interface `org.apache.sling.installer.api.tasks.ResourceTransformer`
See Also:
  `ResourceTransformer.transform(org.apache.sling.installer.api.tasks.RegisteredResource)`

#### createTask

    public org.apache.sling.installer.api.tasks.InstallTask createTask(org.apache.sling.installer.api.tasks.TaskResourceGroup toActivate)

Specified by:
  `createTask` in interface `org.apache.sling.installer.api.tasks.InstallTaskFactory`
See Also:
  `InstallTaskFactory.createTask(org.apache.sling.installer.api.tasks.TaskResourceGroup)`

#### isSnapshot

    public static boolean isSnapshot(org.osgi.framework.Version v)

Check if the version is a snapshot version